Page MenuHomePhabricator

Reindex all image files to include metadata index fields
Closed, ResolvedPublic

Description

After we create mappings for image metadata, we will need to reindex image files to include the data into the index. Only files in NS_FILE will need to be reindexed.

Event Timeline

Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptSep 13 2016, 7:03 PM
debt moved this task from needs triage to Up Next on the Discovery-Search board.Sep 22 2016, 10:21 PM

We can work on this after T145558 is done

shouldn't require any special code, just a maintenance script to run on the cluster. The forceSearchIndex.php has a --namespace option where we can select NS_FILE.

Remember to schedule this onto the deployment calendar on wikitech, following the new request that maintenance actions should be identified there.

I'm so happy this is happening, thanks guys!

Smalyshev claimed this task.Oct 4 2016, 5:13 PM

Reindexed most of the wikis except for group1 which has commonswiki.

Waiting for T147957 deploy and then terbium restart on 27th, after which we proceed to reindex commons.

Smalyshev closed this task as Resolved.Nov 1 2016, 5:07 PM

All wikis are reindexed, though since it needs also map reindex, it's still not enabled everywhere, e.g. not on Commons.